Apache Tomcat 6.0.53

## org.apache.catalina.loader
Class WebappClassLoader.PrivilegedGetClassLoader

    java.lang.Object
      org.apache.catalina.loader.WebappClassLoader.PrivilegedGetClassLoader

All Implemented Interfaces:
  java.security.PrivilegedAction<java.lang.ClassLoader>

Enclosing class:
  WebappClassLoader

    protected final class WebappClassLoader.PrivilegedGetClassLoader

extends java.lang.Object
implements java.security.PrivilegedAction<java.lang.ClassLoader>

Field Summary
`java.lang.Class<?>` | `clazz`

Constructor Summary
`WebappClassLoader.PrivilegedGetClassLoader(java.lang.Class<?> clazz)`

Method Summary
`java.lang.ClassLoader` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    public java.lang.Class<?> clazz

Constructor Detail

### WebappClassLoader.PrivilegedGetClassLoader

    public WebappClassLoader.PrivilegedGetClassLoader(java.lang.Class<?> clazz)

Method Detail

### run

    public java.lang.ClassLoader run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction<java.lang.ClassLoader>`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.